const authCode = {
  memberBatchSetIntegral: { // 有逻辑判断
    type: 0,
    code: "memberBatchSetIntegral"
  },
  memberBatchSetGrade: {
    type: 0,
    code: "memberBatchSetGrade"
  },
  memberBatchSetService: {
    type: 0,
    code: "memberBatchSetService"
  },
  memberBatchSetCustomer: {
    type: 0,
    code: "memberBatchSetCustomer"
  },
  memberBatchImport: {
    type: 0,
    code: "memberBatchImport"
  },
  memberIntoCustomDetail: {
    type: 1,
    code: "memberIntoCustomDetail",
    url: '/member/#/customerDetail'
  },
  memberEditInfo: { // 有section.name==='basic'
    type: 0,
    code: "memberEditInfo"
  },
  memberEditManualTag: {
    type: 0,
    code: "memberEditManualTag"
  },
  memberEditGrade: { // 有memberInfo.gradeName存在
    type: 0,
    code: "memberEditGrade"
  },
  memberAdjustIntegral: { // showHandleScoreBtn存在
    type: 1,
    code: "memberAdjustIntegral",
    url: '/member/#/modifyintegral'
  },
  memberCardDestory: {
    type: 0,
    code: 'memberCardDestory'
  },
  memberCardWriteOff: { // scope.row.status === 4
    type: 0,
    code: 'memberCardWriteOff'
  },
  memberFrozenMember: {
    type: 1,
    code: 'memberFrozenMember',
    url: '/member/#/frozenList/frozenMember'
  },
  memberCleanFrozen: {
    type: 0,
    code: 'memberCleanFrozen'
  },
  memberBatchCleanFrozen: {
    type: 0,
    code: 'memberBatchCleanFrozen'
  },
  memberFrozenNovelMember: {
    type: 1,
    code: 'memberFrozenNovelMember',
    url: '/member/#/abnormal-member-option'
  },
  memberFrozen: {
    type: 0,
    code: 'memberFrozen'
  },
};

export default authCode;
